<template>
  <div class="addTask">
    <h3 class="title">TO DO LIST</h3>
    <input class="inputTask" v-model="text" v-on:keyup.enter="addTodo" placeholder="Please input a task" />
    <button class="button" @click="addTodo">Add</button>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: "addTask",
  props: ["id"],
  data(){return{
      text : "",
  }},

  methods: {
      addTodo(){
        axios.post("http://localhost:1323/addTodo",{"ID":this.id, "Text":this.text}).then(()=>{
            this.text =""
            this.$root.$emit("connect")
        }).catch((error)=>{
            console.error(error)
        })
      }
  },
}
</script>

<style> </style>
